Protolabs


Risultati da 1 a 7 di 7
  1. #1
    Utente Junior
    Iscritto dal
    2017
    Messaggi
    64
    Professione
    Ingegnere Civile
    Regione
    Puglia
    Software
    Autocad 2012

    Predefinito associare più layers ad un elemento

    Buonasera a tutti. Volevo sapere se autocad consente di fare quanto vi descrivo di seguito. Suppongo, per esempio, di avere una serie di numeri da 1 a 1000. In alcune occasioni voglio visualizzare solo i numeri da 1 a 700, in altre invece i numeri da 300 a 1000. Come posso fare?

  2. #2
    Utente Standard
    Iscritto dal
    2012
    Messaggi
    652
    Professione
    Leggo e confronto
    Regione
    Fuori dalla cerchia
    Software
    Lettura critica

    Predefinito

    puoi fare un layer per ogni 100, poi ti crei degli stati di visualizzazione con il layer manager
    Layer 100-700 (accesi il 100-200 etc, spenti 800-900-1000)
    Layer 300-1000 (spenti 100-300, accesi gli altri)

    Non puoi avere un'entità con 2 layer, è come chiedere di avere un entità rossa che sia contemporaneamente verde.

  3. #3
    Utente Senior L'avatar di MassiVonWeizen
    Iscritto dal
    2009
    Messaggi
    4753
    Professione
    disegnatore
    Regione
    Friuli Venezia Giulia
    Software
    autocad 2013; solidworks 2014 e 2016

    Predefinito

    è come chiedere di avere un entità rossa che sia contemporaneamente verde.
    non ho saputo resistere.
    il briefing per disegnare 7 linee perpendicolari di cui una a forma di gattino
    https://www.youtube.com/watch?v=BKorP55Aqvg&t=3s

  4. #4
    Utente Standard
    Iscritto dal
    2012
    Messaggi
    652
    Professione
    Leggo e confronto
    Regione
    Fuori dalla cerchia
    Software
    Lettura critica

    Predefinito

    grande massi

  5. #5
    Utente Junior
    Iscritto dal
    2017
    Messaggi
    64
    Professione
    Ingegnere Civile
    Regione
    Puglia
    Software
    Autocad 2012

    Predefinito

    Citazione Originariamente Scritto da Cristallo Visualizza Messaggio
    puoi fare un layer per ogni 100, poi ti crei degli stati di visualizzazione con il layer manager
    Layer 100-700 (accesi il 100-200 etc, spenti 800-900-1000)
    Layer 300-1000 (spenti 100-300, accesi gli altri)

    Non puoi avere un'entità con 2 layer, è come chiedere di avere un entità rossa che sia contemporaneamente verde.

    Speravo che autocad permettesse di associare ad un dato disegno differenti configurazioni, ciascuna con delle caratteristiche. Dunque speravo che si potesse associare ad un'entità un layer 1 nella configurazione 1 e un layer 2 nella configurazione 2, etc.

  6. #6
    Utente Standard
    Iscritto dal
    2012
    Messaggi
    652
    Professione
    Leggo e confronto
    Regione
    Fuori dalla cerchia
    Software
    Lettura critica

    Predefinito

    Aurora, non si tratta di configurazioni, si tratta di proprietà.
    Colore, lunghezza, inizio-fine, layer sono le caratteristiche che definiscono un oggetto. Altrimenti è un oggetto diverso...
    Come mai potrebbe autocad disegnarti 2 identiche linee rosse su 2 layer differenti (e quindi gestire i layer) se il layer fosse solo un fatto di "configurazione"?
    Hai ma visto una linea rossa disegnata con inchiostro blu?

  7. #7
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    2071
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Non potendo chiaramente operare tramite layer, e se ho capito bene, l'approccio potrebbe essere quello di nascondere i testi (numeri interi) fuori da un range impostato.
    Si ripristina con UNISOLATEOBJECTS.

    Codice:
    ;Nasconde i numeri interi positivi (testi) non compresi in un range
    ;utilizzare il comando "UNISOLATEOBJECTS" per ripristinare
    ;GP - 09/11/2017
    
    (defun c:VisNum (/ Nmin Nmax txt n txt2 num Ntxt)
        (setq Nmin (getint "\nNumero MIN "))
        (setq Nmax (getint "\nNumero MAX "))
        (setq Ntxt (ssadd))
        (if (setq txt (ssget "_X" '((0 . "TEXT"))))
            (progn
                (repeat (setq n (sslength txt))
                    (if (and
                            (= (type (setq num (read (cdr (assoc 1 (entget (setq txt2 (ssname txt (setq n (1- n)))))))))) 'INT)
                            (not (<= Nmin num Nmax))
                        )
                        (setq Ntxt (ssadd txt2 Ntxt))
    
                    )
                )
                (command "_hideobjects" Ntxt "")
            )
        )
    )


  • Discussioni Simili

    1. Layers in 3ds max
      Di CARM91 nel forum 3D studio
      Risposte: 2
      Ultimo Messaggio: 28-08-2017, 20: 43
    2. Risposte: 2
      Ultimo Messaggio: 02-09-2016, 13: 34
    3. Risposte: 1
      Ultimo Messaggio: 05-11-2011, 20: 32
    4. Risposte: 1
      Ultimo Messaggio: 02-11-2011, 13: 02
    5. Layers Catia v5
      Di Alessio85 nel forum CATIA V5 CATProduct
      Risposte: 0
      Ultimo Messaggio: 19-10-2011, 13: 09

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti